Subject: [Bug 215389] pagealloc: memory corruption at building glibc-2.33 and running its' testsuite

From: [email-masked]
Date: Tue, 05 Jul 2022 16:02:25 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=215389

--- Comment #33 from Erhard F. ([email-masked]) ---
Created attachment 301337
  --> https://bugzilla.kernel.org/attachment.cgi?id=301337&action=edit
dmesg (5.19-rc5, outline KASAN, PowerMac G4 DP)

Re-tested on 5.19-rc5 +
https://patchwork.ozlabs.org/project/linuxppc-dev/patch/2ee70751[email-masked]/

I can run the kernel with outline KASAN, default THREAD_SHIFT and without
advanced options necessary. Also I don't get the stack issue (bug #216041) any
longer.

However as long as CONFIG_SMP=y (CONFIG_NR_CPUS=2) is set I still get the
memory corruption:

[...]
pagealloc: memory corruption
f5fcfff0: 00 00 00 00                                      ....
CPU: 1 PID: 27635 Comm: estrip Not tainted 5.19.0-rc5-PMacG4+ #1
Call Trace:
[f380b9b0] [c0829ebc] dump_stack_lvl+0x60/0x90 (unreliable)
[f380b9d0] [c0307528] __kernel_unpoison_pages+0x1d8/0x220
[f380ba20] [c02dd3bc] post_alloc_hook+0x108/0x144
[f380ba50] [c02e0a70] get_page_from_freelist+0x9e0/0x1278
[f380bb90] [c02e1e04] __alloc_pages+0x250/0x1078
[f380bcf0] [c02af098] wp_page_copy+0x128/0xdb8
[f380bde0] [c02b6fdc] handle_mm_fault+0x954/0x1138
[f380bed0] [c0029938] ___do_page_fault+0x250/0x84c
[f380bf10] [c002a168] do_page_fault+0x28/0x5c
[f380bf30] [c000433c] DataAccess_virt+0x124/0x17c
--- interrupt: 300 at 0x65b734
NIP:  0065b734 LR: 0065b708 CTR: 00354600
REGS: f380bf40 TRAP: 0300   Not tainted  (5.19.0-rc5-PMacG4+)
MSR:  0000d032 <EE,PR,ME,IR,DR,RI>  CR: 82222420  XER: 00000000
DAR: 026fcea0 DSISR: 0a000000 
GPR00: 00000000 afbd5250 a7b0c560 026bb5f0 0269deac 026bb628 696e6f64 026fcea0 
GPR08: 00000000 00000000 00000000 00354600 42222420 0071fff4 026af620 0072243c 
GPR16: 00723b50 007223a4 026b1770 026ec8a0 007222e4 0269de70 02700920 00000001 
GPR24: 00721e9c 00721eb8 0072082c 00000000 afbd52ec 00000000 0072608c 00000000 
NIP [0065b734] 0x65b734
LR [0065b708] 0x65b708
--- interrupt: 300
page:ef4bd6ec refcount:1 mapcount:0 mapping:00000000 index:0x1 pfn:0x310a3
flags: 0x80000000(zone=2)
raw: 80000000 00000100 00000122 00000000 00000001 00000000 ffffffff 00000001
raw: 00000000
page dumped because: pagealloc: corrupted page details

-- 
You may reply to this email to add a comment.

You are receiving this mail because:
You are watching the assignee of the bug.